Puppet Class: openstack::magnum::service

Defined in:
modules/openstack/manifests/magnum/service.pp

Overview

SPDX-License-Identifier: Apache-2.0

Parameters:

  • version (String)
  • region (String)
  • openstack_controllers (Array[Stdlib::Fqdn])
  • rabbitmq_nodes (Array[Stdlib::Fqdn])
  • db_user (String)
  • db_pass (String)
  • db_name (String)
  • db_host (Stdlib::Fqdn)
  • ldap_user_pass (String)
  • keystone_admin_uri (String)
  • keystone_internal_uri (String)
  • api_bind_port (Stdlib::Port)
  • rabbit_user (String)
  • rabbit_pass (String)
  • domain_admin_pass (String)


2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
# File 'modules/openstack/manifests/magnum/service.pp', line 2

class openstack::magnum::service(
    String $version,
    String $region,
    Array[Stdlib::Fqdn] $openstack_controllers,
    Array[Stdlib::Fqdn] $rabbitmq_nodes,
    String $db_user,
    String $db_pass,
    String $db_name,
    Stdlib::Fqdn $db_host,
    String $ldap_user_pass,
    String $keystone_admin_uri,
    String $keystone_internal_uri,
    Stdlib::Port $api_bind_port,
    String $rabbit_user,
    String $rabbit_pass,
    String $domain_admin_pass,
) {
    class { "openstack::magnum::service::${version}":
        db_user               => $db_user,
        db_pass               => $db_pass,
        db_name               => $db_name,
        db_host               => $db_host,
        ldap_user_pass        => $ldap_user_pass,
        keystone_admin_uri    => $keystone_admin_uri,
        keystone_internal_uri => $keystone_internal_uri,
        api_bind_port         => $api_bind_port,
        rabbit_user           => $rabbit_user,
        rabbit_pass           => $rabbit_pass,
        openstack_controllers => $openstack_controllers,
        rabbitmq_nodes        => $rabbitmq_nodes,
        region                => $region,
        domain_admin_pass     => $domain_admin_pass,
    }

    service { 'magnum-api':
        ensure  => running,
        require => Package['magnum-api'],
    }
    service { 'magnum-conductor':
        ensure  => running,
        require => Package['magnum-conductor'],
    }
}